%define module  Text-Kakasi
%define name    perl-%{module}
%define version 2.04
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Perl binding for KAKASI the kanji kana simple inverter
License:        GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{version}.tar.bz2
Requires:       kakasi >= 2.3.1
BuildRequires:  perl-devel
BuildRequires:  kakasi-devel >= 2.3.1
BuildRequires:  kakasi-dict
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI.
KAKASI is the language processing filter to convert Kanji characters
to Hiragana, Katakana or Romaji and may be helpful to read Japanese
documents.
More information about KAKASI is available at <http://kakasi.namazu.org/>.


%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README README.jp
%{_mandir}/*/*
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text

%changelog
* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-2mdv2007.0
- spec cleanup
- fix directory ownership

* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.04-1mdk
- 2.04

* Wed Nov 17 2004 Michael Scherer <misc@mandrake.org> 1.05-7mdk
- Rebuild for new perl

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-6mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.05-5mdk
- buildrequires

* Wed Mar 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.05-4mdk
- fix requires

* Fri Feb 14 2003 Pixel <pixel@mandrakesoft.com> 1.05-3mdk
- rebuild with vendorlib

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 1.05-2mdk
- rebuild

* Thu Sep 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.05-1mdk
- first mandrake release
- removed .bs file

* Mon May 28 2001 Ryuji Abe <rug@namazu.org>
- version 1.05
- remove japanese description

* Mon Oct 16 2000 Ryuji Abe <rug@namazu.org>
- more macro.

* Sat Oct 14 2000 Ryuji Abe <rug@namazu.org>
- regenarate spec file with cpanflute. 
- fix summary.

* Mon Apr 10 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.04.

* Thu Apr 06 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.02.

* Tue Feb 08 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Changed group (Utilities/Text -> Applications/Text).

* Sat Dec 11 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Rebuild for RHL-6.1.

* Fri Dec 03 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.01.

* Wed Dec 01 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- First build.
